Admin A P I
Enable extension
Enables an installed extension, publishes assets, and runs migrations.
POST
/api/admin/extensions/{extension}/enableAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
extension*string
The extension.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/extensions/architecto/enable"{ "data": { "id": "example-extension", "name": "Example Extension", "version": "1.0.0", "description": "Example extension", "author": "Pterodactyl", "provider": "ExampleExtension\\Provider", "has_ui": true, "ui_entry": "dist/client.js", "ui_mode": "native", "frontend_entry": "/assets/extensions/example-extension/client.js?v=100", "installed": true, "enabled": true, "state": "enabled", "error": null }}